<?php

namespace Database\Seeders;

use App\Installer\DevelopmentDataSeeder;
use App\Installer\ProductionData;
use App\Installer\ProductionDataSeeder;
use App\Installer\Providers\BdpLvSachsenDataSeeder;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;

class DatabaseSeeder extends Seeder
{
    use WithoutModelEvents;

    /**
     * Seed the application's database.
     */
    public function run(): void
    {
        $productionSeeeder = new ProductionDataSeeder();
        $productionSeeeder->execute();

        if (str_ends_with(env('APP_URL'), 'mareike.local')) {
            $deveopmentDataSeeder = new DevelopmentDataSeeder();
            $deveopmentDataSeeder->execute();
        }

        switch (env('PROVIDER')) {
            case 'bdp-lv-sachsen':
                $productionSeeeder = new BdpLvSachsenDataSeeder();
                $productionSeeeder->execute();
                break;
        }
    }
}
